@echo off
rem #
rem #  TOPPERS/A-WDG
rem #      Automotive Watchdog Driver
rem #
rem #  Copyright (C) 2014-2015 by Center for Embedded Computing Systems
rem #                             Graduate School of Information Science, Nagoya Univ., JAPAN
rem #  Copyright (C) 2014-2015 by AISIN COMCRUISE Co., Ltd., JAPAN
rem #  Copyright (C) 2014-2015 by FUJI SOFT INCORPORATED, JAPAN
rem #  Copyright (C) 2014-2015 by NEC Communication Systems, Ltd., JAPAN
rem #  Copyright (C) 2014-2015 by Panasonic Advanced Technology Development Co., Ltd., JAPAN
rem #  Copyright (C) 2014-2015 by SCSK Corporation, JAPAN
rem #  Copyright (C) 2014-2015 by Sunny Giken Inc., JAPAN
rem #  Copyright (C) 2014-2015 by TOSHIBA CORPORATION, JAPAN
rem #  Copyright (C) 2014-2015 by Witz Corporation
rem #
rem #  上記著作権者は，以下の(1)〜(4)の条件を満たす場合に限り，本ソフトウェ
rem #  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
rem #  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
rem #  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
rem #      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
rem #      スコード中に含まれていること．
rem #  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
rem #      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
rem #      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
rem #      の無保証規定を掲載すること．
rem #  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
rem #      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
rem #      と．
rem #    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
rem #        作権表示，この利用条件および下記の無保証規定を掲載すること．
rem #    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
rem #        報告すること．
rem #  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
rem #      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
rem #      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
rem #      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
rem #      免責すること．
rem #
rem #  本ソフトウェアは，AUTOSAR（AUTomotive Open System ARchitecture）仕
rem #  様に基づいている．上記の許諾は，AUTOSARの知的財産権を許諾するもので
rem #  はない．AUTOSARは，AUTOSAR仕様に基づいたソフトウェアを商用目的で利
rem #  用する者に対して，AUTOSARパートナーになることを求めている．
rem #
rem #  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
rem #  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
rem #  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
rem #  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
rem #  の責任を負わない．
rem #
rem #  $Id: wdgcfg.bat 3492 2017-03-14 05:45:23Z suzuki-kawaguchi $
rem #

set RUBY_HOME=c:\cygwin
set PATH=%RUBY_HOME%\bin;%PATH%

set OS_DIR=../../../../../../atk2-sc1
set CFG_DIR=%OS_DIR%/cfg/cfg
set ABREX_DIR=%OS_DIR%/utils/abrex
set TARGET_DIR=%OS_DIR%/target/fl850f1l_gcc
set WDG_PATH=../../../..
set WDG_TARGET_PATH=../..

ruby %ABREX_DIR%/abrex.rb wdg.yaml

echo execute cfg wdg.arxml
start /b %CFG_DIR%/cfg.exe --omit-symbol --pass 2 --kernel atk2 --ini-file %WDG_PATH%/wdg.ini --api-table %WDG_PATH%/wdg.csv -I %WDG_PATH% -T %WDG_TARGET_PATH%/Wdg_Target.tf wdg.arxml %TARGET_DIR%/target_hw_counter.arxml

ruby %ABREX_DIR%/abrex.rb os.yaml

patch -u %OS_DIR%/arch/v850_ccrh/prc_support.asm < %WDG_TARGET_PATH%/wdg_nmi.patch

pause
exit
